

.m--top-banner{
    .top-banner{
        display:block;
    }
    
    // .header{
    //     margin-top:$top-banner-height;        
    // }

    .site-menu{
        // top:$top-banner-height;
    }

    .content{
        // padding:calc(#{$header-height} + #{$top-banner-height}) 0 0;

        /*@include md{
            padding: calc(#{$header-height} - #{$top-banner-height}) 0 0;
        }*/

        /*&--home{
            @include md{
                padding: calc(#{$content-padding} + #{$header-height} - #{$top-banner-height}) 0 0;
            }
        }*/

    }

    @include md{
        .content{
            // padding-top:calc(#{$header-height + $top-banner-height} + #{$content-padding});
        }
        .checkout__summary{
            // padding-top:calc(#{$checkout-content-padding} + #{$top-banner-height});
        }

        .shop{
            // padding-top:calc(#{$header-height + $top-banner-height} - #{$content-padding});
        }
    }

    
    #header-menu-switch:checked ~ .nav-menu{
        @include md{
            // top:#{$header-height + $top-banner-height};
        }
    }  
}

.m--color-invert{

    .header{
        @include invert;
    }

    .side-menu{
        @include invert;
    }
}

.m--menu-fixed{
    
    .header{
        position:fixed;
        top:0;

        &__icon-action--cart{
            position: fixed;
            right: 2rem;
            -webkit-animation: fadeIn 1s;
            animation: fadeIn 1s;
            padding: 0;
            top: 13px;
            z-index: 7;
        }

        &-option{
            .fix{
                position: fixed;
                right: 5rem;
                -webkit-animation: fadeIn 1s;
                animation: fadeIn 1s;
                padding: 0;
                top: 16px;
                z-index: 7;
            }
        }
    }

    /*.content{
        padding-top:calc(#{$content-padding} + #{$header-height});
    }*/

    // &.m--top-banner{
    //     .content{
    //         padding-top:calc(#{$content-padding} + #{$header-height});
    //     }
    // }
    
    .shop-breadcrumb{
        position:fixed;
        top:$header-height;
        margin-top:0;
        width:100%;
    }

    .site-menu{
        position:fixed;


        /*.header__icon-action--cart{
            padding: 0;
        }*/
        
        @supports (position:sticky){
            position:sticky;
            /*.header__icon-action--cart{
                padding:inherit;
            }*/

        }
    }

    @keyframes fadeIn {
        from { opacity: 0; }
        to   { opacity: 1; }
    }
}

.m--popout{
    overflow-y:hidden;
    

    #site{
        &::before{
            content:'';
    
            position:fixed;
            top:0;
            left:0;
            width:100%;
            height:100%;
    
            background:transparentize($color: $white, $amount: 0.5);
    
            z-index:z('popup-background');
        }
    }    
}

.m--popup-banner{
    overflow-y:hidden;
    
    #site{
        &::before{
            content:'';
    
            position:fixed;
            top:0;
            left:0;
            width:100%;
            height:100%;
    
            background:rgba(0,0,0, 0.5);
    
            z-index:z('popup-background');
        }
    }

    .popup-banner{
        display:block;
    }
}

.m--raw{
    ul{
        list-style-type: initial;
        padding-inline-start: 4rem;
        margin-block-start: 1rem;
        margin-block-end: 1rem;
    }
}

.m--filters{
    .shop-filter{
        display:block !important;
        visibility: visible !important;

        &__close{
            @include md{
                display:block;
            }
        }
    }
}